### Enumeration

# WebKit2 WebsiteDataTypes

since: 2.16

#### Declaration

    flags WebKit2.WebsiteDataTypes

#### Description [src]

Enum values with flags representing types of Website data.

Available since: 2.16

#### Members

`WEBKIT_WEBSITE_DATA_MEMORY_CACHE`

  Memory cache.

  - Value: `1`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_DISK_CACHE`

  HTTP disk cache.

  - Value: `2`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_OFFLINE_APPLICATION_CACHE`

  Offline web application cache.

  - Value: `4`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_SESSION_STORAGE`

  Session storage data.

  - Value: `8`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_LOCAL_STORAGE`

  Local storage data.

  - Value: `16`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_WEBSQL_DATABASES`

  WebSQL databases. Deprecated 2.24.

  - Value: `32`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_INDEXEDDB_DATABASES`

  IndexedDB databases.

  - Value: `64`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_PLUGIN_DATA`

  Plugins data. Deprecated 2.32.

  - Value: `128`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_COOKIES`

  Cookies.

  - Value: `256`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_DEVICE_ID_HASH_SALT`

  Hash salt used to generate the device ids used by webpages. Since 2.24.

  - Value: `512`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_HSTS_CACHE`

  HSTS cache. Since 2.26.

  - Value: `1024`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_ITP`

  Intelligent Tracking Prevention data. Since 2.30.

  - Value: `2048`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_SERVICE_WORKER_REGISTRATIONS`

  Service worker registrations. Since 2.30.

  - Value: `4096`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_DOM_CACHE`

  DOM (CacheStorage) cache. Since 2.30.

  - Value: `8192`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_ALL`

  All types.

  - Value: `16383`
  - Available since: 2.16